=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=tahoe-lafs

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_prep:
	dh_prep
	mv src/allmydata_tahoe.egg-info src/allmydata_tahoe.egg-info.orig

override_dh_install:
	dh_install
	chmod 755 debian/$(package)/usr/share/munin/plugins/*

	rm -rf src/allmydata_tahoe.egg-info
	mv src/allmydata_tahoe.egg-info.orig src/allmydata_tahoe.egg-info

	# Clean bin/tahoe trick stolen from upstream packaging script.
	head -1 debian/$(package)/usr/bin/tahoe > debian/$(package)/usr/bin/tahoe.new
	echo "from allmydata.scripts import runner" >> debian/$(package)/usr/bin/tahoe.new
	echo "runner.run()" >> debian/$(package)//usr/bin/tahoe.new
	chmod +x debian/$(package)/usr/bin/tahoe.new
	mv debian/$(package)/usr/bin/tahoe.new debian/$(package)/usr/bin/tahoe

override_dh_installdocs:
	dh_installdocs
	mv debian/$(package)/usr/share/doc/$(package)/NEWS.rst \
		debian/$(package)/usr/share/doc/$(package)/changelog
