=== debian/changelog ===
tahoe-lafs (1.10.0-2) unstable; urgency=medium

  [Ramakrishnan Muthukrishnan]
  * Include unminified sources for d3 and jquery. (Closes: #735940)
  * New co-maintainer (Ramakrishnan Muthukrishnan).

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Fri, 02 May 2014 23:47:07 +0530

tahoe-lafs (1.10.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: tahoe-lafs needs pypcryptopp version 0.6.0 or above,
    else it gives a run-time error. (Closes: #738952)

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 17 Apr 2014 12:57:05 +0530

tahoe-lafs (1.10.0-1) unstable; urgency=low

  [Bert Agaz]
  * New upstream release.
  * Add missing dependency on net-tools (Closes: #683331).
  * Import upstream patch to support kFreeBSD. (Closes: #700239).
  * Standards version bump.
  * Add sysvinit script (Closes: #652003).
  * Include a README.Debian to document how to manage nodes in Debian.
  * Use dh_installchangelogs to properly install upstream NEWS.rst.

 -- Micah Anderson <micah@debian.org>  Fri, 17 Jan 2014 21:07:24 -0500
