=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Bert Agaz <bertagaz@ptitcanardnoir.org>
-Uploaders: Micah Anderson <micah@debian.org>
+Uploaders: Micah Anderson <micah@debian.org>, 
+           Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
 Build-Depends: debhelper (>= 9), python-setuptools, python-all (>= 2.6.6-3~),
  python-twisted
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/tahoe/tahoe.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tahoe/tahoe.git
 Homepage: http://tahoe-lafs.org/trac/tahoe
@@ -14,8 +15,8 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-pyasn1, python-crypto,
  python-foolscap (>= 0.6.3), python-openssl, python-nevow, python-simplejson,
- python-zfec, python-pycryptopp (>= 0.5.29), python-setuptools, python-mock,
- python-twisted
+ python-zfec, python-pycryptopp (>= 0.6.0), python-setuptools, python-mock,
+ python-twisted, net-tools
 Description: Secure distributed filesystem
  Tahoe, the Least Authority File System, is a distributed filesystem that
  features high reliability, strong security properties, and a fine-grained
