=== debian/control ===
Source: tahoe-lafs
Section: utils
Priority: optional
Maintainer: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
Uploaders: Micah Anderson <micah@debian.org>, Bert Agaz <bertagaz@ptitcanardnoir.org>
Build-Depends: debhelper (>= 9), python-setuptools, python2.7-dev,
 python-twisted (>= 13.0.0), dh-python
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/tahoe/tahoe.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tahoe/tahoe.git
Homepage: http://tahoe-lafs.org/trac/tahoe

Package: tahoe-lafs
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pyasn1 (>= 0.1.4),
 python-crypto (>= 2.6), python-foolscap (>= 0.8.0), python-openssl (>= 0.14),
 python-nevow (>= 0.11.1), python-simplejson (>= 1.4), python-zfec (>= 1.1.0),
 python-pycryptopp (>= 0.6.0), python-setuptools, python-mock (>= 0.8.0),
 python-twisted (>= 13.0.0), net-tools
Description: Secure distributed file store
 Tahoe, the Least Authority File Store, is a distributed filesystem that
 features high reliability, strong security properties, and a fine-grained
 sharing model. Files are encrypted, signed, erasure-coded, then distributed
 over multiple servers, such that any (configurable) subset of the servers
 will be sufficient to recover the data. The default 3-of-10 configuration
 tolerates up to 7 server failures before data becomes unrecoverable.
 .
 Tahoe offers "provider-independent security": the confidentiality and
 integrity of your data do not depend upon the behavior of the servers. The
 use of erasure-coding means that reliability and availability depend only
 upon a subset of the servers.
 .
 Tahoe files are accessed through a RESTful web API, a human-oriented web
 server interface, and CLI tools.
