## tahoe-lafs 1.10.2

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 	$(PYTHON) misc/build_helpers/test-osx-pkg.py
 
 upload-osx-pkg:
+	@echo "uploading to ~tahoe-tarballs/OS-X-packages/ via flappserver"
 	@if [ "X${BB_BRANCH}" = "Xmaster" ] || [ "X${BB_BRANCH}" = "X" ]; then \
 	  flappclient --furlfile ~/.tahoe-osx-pkg-upload.furl upload-file tahoe-lafs-*-osx.pkg; \
 	 else \
@@ -287,6 +288,9 @@
 	$(MAKE) 2>&1 | tee make.out
 	$(PYTHON) misc/build_helpers/check-build.py make.out no-downloads
 
+.PHONY: test-pip-install
+test-pip-install:
+	$(PYTHON) misc/build_helpers/test-pip-install.py
 
 # TARBALL GENERATION
 .PHONY: tarballs
