=== debian/changelog ===
tahoe-lafs (1.10.2-2) unstable; urgency=medium

  * debian/control: add the missing dependency of python-characteristic

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 16 Sep 2015 11:09:30 +0530

tahoe-lafs (1.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Fri, 07 Aug 2015 11:13:07 +0530
