=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
 Uploaders: Micah Anderson <micah@debian.org>, Bert Agaz <bertagaz@ptitcanardnoir.org>
-Build-Depends: debhelper (>= 9), python-setuptools, python2.7-dev,
+Build-Depends: debhelper (>= 9), python-setuptools, python-dev,
  python-twisted (>= 13.0.0), dh-python
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/tahoe/tahoe.git
@@ -15,8 +15,8 @@
 Depends: ${misc:Depends}, ${python:Depends}, python-pyasn1 (>= 0.1.4),
  python-crypto (>= 2.6), python-foolscap (>= 0.8.0), python-openssl (>= 0.14),
  python-nevow (>= 0.11.1), python-simplejson (>= 1.4), python-zfec (>= 1.1.0),
- python-pycryptopp (>= 0.6.0), python-setuptools, python-mock (>= 0.8.0),
- python-twisted (>= 13.0.0), net-tools
+ python-pycryptopp (>= 0.6.0), python-setuptools,
+ python-twisted (>= 13.0.0), python-characteristic (>= 14.0.0), net-tools
 Description: Secure distributed file store
  Tahoe, the Least Authority File Store, is a distributed filesystem that
  features high reliability, strong security properties, and a fine-grained
