=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=tahoe-lafs

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_prep:
	dh_prep
	mv src/allmydata_tahoe.egg-info src/allmydata_tahoe.egg-info.orig

override_dh_install:
	dh_install
	chmod 755 debian/$(package)/usr/share/munin/plugins/*

	rm -rf src/allmydata_tahoe.egg-info
	mv src/allmydata_tahoe.egg-info.orig src/allmydata_tahoe.egg-info

override_dh_installdocs:
	dh_installdocs
	dh_installchangelogs -k NEWS.rst
