=== debian/changelog ===
tahoe-lafs (1.11.0-1) unstable; urgency=medium

  * new upstream release.
  * d/patches/*: removed, as we no longer need any debian specific patches.
  * d/rules: exclude INSTALL.rst from the installed docs, as it is not needed
    for binary packages.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 31 Mar 2016 15:10:19 +0530

tahoe-lafs (1.11.0b1-1) unstable; urgency=medium

  * new upstream beta release
  * d/patches/series: disable all debian specific patches.
  * d/rules: rename allmydata-tahoe to tahoe-lafs.
  * d/rules: pass install_layout=deb
  * d/tahoe-lafs.install: delete bin path, as we use install_layout=deb
  * d/tahoe-lafs.manpages: update the manpage path.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 30 Mar 2016 18:25:58 +0530

tahoe-lafs (1.10.2-3) unstable; urgency=medium

  * debian/tahoe-lafs.init: Fix the argument order in the init script.
    Thanks to James Valleroy <jvalleroy@mailbox.org> for the patch.
    (Closes: #800419)
  * debian/control: Bump up the standards version.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Tue, 15 Mar 2016 11:36:47 +0530
