=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Micah Anderson <micah@debian.org>, Bert Agaz <bertagaz@ptitcanardnoir.org>
 Build-Depends: debhelper (>= 9), python-setuptools, python-dev,
  python-twisted (>= 13.0.0), dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/tahoe/tahoe.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tahoe/tahoe.git
 Homepage: http://tahoe-lafs.org/trac/tahoe
